Package org.apache.sysds.runtime.matrix.operators

## Class SimpleOperator

- java.lang.Object
- - org.apache.sysds.runtime.matrix.operators.Operator
  - - org.apache.sysds.runtime.matrix.operators.SimpleOperator

All Implemented Interfaces:
  `Serializable`

    public class SimpleOperator
    extends Operator

See Also:
  Serialized Form

### Field Summary

Fields
`FunctionObject` `fn`

### Fields inherited from class org.apache.sysds.runtime.matrix.operators.Operator

`sparseSafe`

### Constructor Summary

Constructors
`SimpleOperator​(FunctionObject f)`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### fn

    public final FunctionObject fn

### Constructor Detail

#### SimpleOperator

    public SimpleOperator​(FunctionObject f)